%%RUN_CALIBRATION
%%%%%%%% 
%% E Ponsot, July 2012

% To calibrate at 80 dB 
%%%%%%%%%%%%
%% 
function RUN_CALIBRATION

global fs spectrum duration_onoff time_calib startbutton stopbutton running lev_calib

% Parameters
fs=44100;
spectrum=1000;
duration_onoff=0.01;
time_calib=20;
lev_calib=85;

window1=figure('Position', [100, 300, 600, 460],...
       'Name', 'Calibration',...  % Title figure
       'NumberTitle', 'off',... % Do not show figure number
       'Menu','none',...
       'Toolbar','none',...
        'Color',[0 0 0]);      % Hide standard menu bar menus;
   
scrsz = get(0,'ScreenSize');
set(window1,'units','pixels',...
    'position',[0,0,scrsz(3),scrsz(4)],...
    'MenuBar','none',...
    'Color',get(0,'DefaultUicontrolBackgroundColor'));



startbutton=uicontrol(window1,'style','pushbutton',...
                     'string','Dmarrer',...
                     'Fontweight','bold',...
                     'Fontsize',24,...
                     'Foreground',[0 0 0],...
                     'units','pixels',...
                     'position',[(3/12)*scrsz(3) 0.15*scrsz(4) scrsz(3)/2 scrsz(4)/4],...
                     'callback',@fct_start);
                     set(startbutton,'Visible','on'); 

stopbutton=uicontrol(window1,'style','pushbutton',...
                     'string','Quittez',...
                     'Fontweight','bold',...
                     'Fontsize',24,...
                     'Foreground',[0 0 0],...
                     'units','pixels',...
                     'position',[(3/12)*scrsz(3) 0.15*scrsz(4) scrsz(3)/2 scrsz(4)/4],...
                     'callback',@fct_stop);
                     set(stopbutton,'Visible','off'); 
                     
running=uicontrol(window1,'style','text',...
                    'units','pixels',...
                    'Fontsize',22,...
                    'Fontweight','bold',...
                    'FontAngle','italic',...
                    'string',sprintf('Calibration en cours ...'),...
                    'position',[(1/10)*scrsz(3) 5.5*scrsz(4)/10 scrsz(3)*(4/5) scrsz(4)/20]);
                    set(running,'Visible','off');                     
                     
                     
                     
function fct_start(hObject,eventdata)

set(startbutton,'Visible','off');  
set(stopbutton,'Visible','on');  
set(running,'Visible','on');

% make the listening
pause(0.1)

[sigP, timevect] = fct_ramp(lev_calib,lev_calib,time_calib,duration_onoff,fs,spectrum);
[seq]=[sigP];
fct_listen(seq,'both',fs) 

prms=sqrt(1/length(seq)*sum(seq(:).^2));

disp(['the rms pressure of this sound is ' num2str(floor(10000*prms)/10000)]);

% set(startbutton,'Visible','on');  
% set(stopbutton,'Visible','off');  
% set(running,'Visible','off');



set(startbutton,'Visible','off');  
set(stopbutton,'Visible','on');  
set(running,'Visible','off');


end  


                     
function fct_stop(hObject,eventdata)
close(window1);
end                    
   
end

                     
                     
                     
                     