

%% Import Data

WavFiles = dir('*.wav');
numfiles=length(WavFiles);
duration_offset_voice=0.070;
duration_offset_context=0.550;
duration_max_voice=1.4;
duration_max_context=1.8;

loudness_base_voice=15;
factor_voice=1.4;
factor_backVSvoice=0.85;

loudness_voice_anger1=loudness_base_voice;
loudness_voice_anger2=loudness_base_voice*factor_voice;
loudness_voice_anger3=loudness_base_voice*factor_voice*factor_voice;

loudness_context_anger1=loudness_voice_anger1/factor_backVSvoice;
loudness_context_anger2=loudness_voice_anger2/factor_backVSvoice;
loudness_context_anger3=loudness_voice_anger3/factor_backVSvoice;



%% Calculate level and loudness
for ii = 1:numfiles
   tic
    filename_ii=WavFiles(ii).name;

    if isempty(strfind(filename_ii, 'Context0' ))~=1  
       
        if isempty(strfind(filename_ii, 'anger-1' ))~=1
            loudness_target_i=loudness_voice_anger1;
        elseif isempty(strfind(filename_ii, 'anger-2' ))~=1
            loudness_target_i=loudness_voice_anger2;
        elseif isempty(strfind(filename_ii, 'anger-3' ))~=1
            loudness_target_i=loudness_voice_anger3;
        end
        
        % Load the two tracks from the audiofile and use only the second
        % one where the voice is
        [y_temp_twotracks,fs]=wavread(filename_ii);
        y_temp_voice_long=y_temp_twotracks(:,2);
        y_temp_voice=y_temp_voice_long(1:floor(duration_max_voice*fs),1); % make it  shorter
        y_temp_voice= fct_offset_ramp_on_amp(y_temp_voice,duration_offset_voice,fs);
        
        %wavwrite(y_temp_context,fs,'newtempcontext.wav');
        wavwrite(y_temp_voice,fs,'newtempvoice.wav');
        
        % calculate the gain to apply on each track
        newtemp_voice_filename_ii='newtempvoice.wav';
        [coefToApplyOnAmp_voice, loudness_output_voice] = loudness_normalize_LTLmax (newtemp_voice_filename_ii, loudness_target_i);
                
        % create new normalized sound
        wavwrite(y_temp_voice*coefToApplyOnAmp_voice,fs,['Norm_' filename_ii]);
        
    else
        
        if isempty(strfind(filename_ii, 'anger-1' ))~=1
            loudness_target_voice_i=loudness_voice_anger1;
            loudness_target_context_i=loudness_context_anger1;
        elseif isempty(strfind(filename_ii, 'anger-2' ))~=1
            loudness_target_voice_i=loudness_voice_anger2;
            loudness_target_context_i=loudness_context_anger2;
        elseif isempty(strfind(filename_ii, 'anger-3' ))~=1
            loudness_target_voice_i=loudness_voice_anger3;
            loudness_target_context_i=loudness_context_anger3;
        end
        
        % Load the two tracks from the audiofile and create two new
        % temporary audio files
        [y_temp_twotracks,fs]=wavread(filename_ii);
        
        y_temp_context_long=y_temp_twotracks(:,1);
        y_temp_context=y_temp_context_long(1:floor(duration_max_context*fs),1); % make it  shorter
        y_temp_context= fct_offset_ramp_on_amp(y_temp_context,duration_offset_context,fs);
        
        y_temp_voice_long=y_temp_twotracks(:,2);
        y_temp_voice=y_temp_voice_long(1:floor(duration_max_voice*fs),1); % make it  shorter
        y_temp_voice= fct_offset_ramp_on_amp(y_temp_voice,duration_offset_voice,fs);
        
        wavwrite(y_temp_context,fs,'newtempcontext.wav');
        wavwrite(y_temp_voice,fs,'newtempvoice.wav');
        
        % calculate the gain to apply on each track
        newtemp_voice_filename_ii='newtempvoice.wav';
        [coefToApplyOnAmp_voice, loudness_output_voice] = loudness_normalize_LTLmax (newtemp_voice_filename_ii, loudness_target_voice_i);
        
        newtemp_context_filename_ii='newtempcontext.wav';
        [coefToApplyOnAmp_context, loudness_output_context] = loudness_normalize_LTLmax (newtemp_context_filename_ii, loudness_target_context_i);
        
        % create and write overall mix
        y_mix=y_temp_context*coefToApplyOnAmp_context+[y_temp_voice;zeros(size(y_temp_context,1)-size(y_temp_voice,1),1)]*coefToApplyOnAmp_voice;
        wavwrite(y_mix,fs,['Norm_' filename_ii]);
            
    end
    toc
end 
    
    


% %% plot the levels
% figure(1)
% hold on;
% mean_anger_to_plot=[mean(anger_0_level_m) mean(anger_1_level_m) mean(anger_2_level_m) mean(anger_3_level_m) ];
% std_anger_to_plot=[std(anger_0_level_m) std(anger_1_level_m) std(anger_2_level_m) std(anger_3_level_m) ];
% hold on
% errorbar([ 1 2 3 4], mean_anger_to_plot, std_anger_to_plot,'r-','linewidth', 3)
% ylabel('Level (dB)','Fontsize',12);
% xlabel('Anger step','Fontsize',12);
% set(gca,'Fontsize',12)
% box on
% 
% figure(2)
% hold on;
% 
% for ii =1:5
% subplot(2,3,ii+1)
% mean_anger_to_plot=[mean(anger_0_level_m(1+(ii-1)*8:ii*8)) mean(anger_1_level_m(1+(ii-1)*8:ii*8)) mean(anger_2_level_m(1+(ii-1)*8:ii*8)) mean(anger_3_level_m(1+(ii-1)*8:ii*8)) ];
% std_anger_to_plot=[std(anger_0_level_m(1+(ii-1)*8:ii*8)) std(anger_1_level_m(1+(ii-1)*8:ii*8)) std(anger_2_level_m(1+(ii-1)*8:ii*8)) std(anger_3_level_m(1+(ii-1)*8:ii*8)) ];
% hold on
% errorbar([ 1 2 3 4], mean_anger_to_plot, std_anger_to_plot,'k-','linewidth', 3)
% ylabel('Level (dB)','Fontsize',12);
% xlabel('Anger step','Fontsize',12);
% set(gca,'Fontsize',12)
% box on
% end
% 
% 
% %% plot the loudness
% figure(3)
% hold on;
% mean_anger_to_plot=[mean(anger_0_loudness_m) mean(anger_1_loudness_m) mean(anger_2_loudness_m) mean(anger_3_loudness_m) ];
% std_anger_to_plot=[std(anger_0_loudness_m) std(anger_1_loudness_m) std(anger_2_loudness_m) std(anger_3_loudness_m) ];
% hold on
% %subplot(2,3,6)
% errorbar([ 1 2 3 4], mean_anger_to_plot, std_anger_to_plot,'r-','linewidth', 3)
% ylabel('Loudness (sones)','Fontsize',12);
% xlabel('Anger step','Fontsize',12);
% set(gca,'Fontsize',12)
% box on
% 
% figure(4)
% hold on;
% 
% for ii =1:5
% subplot(2,3,ii+1)
% mean_anger_to_plot=[mean(anger_0_loudness_m(1+(ii-1)*8:ii*8)) mean(anger_1_loudness_m(1+(ii-1)*8:ii*8)) mean(anger_2_loudness_m(1+(ii-1)*8:ii*8)) mean(anger_3_loudness_m(1+(ii-1)*8:ii*8)) ];
% std_anger_to_plot=[std(anger_0_loudness_m(1+(ii-1)*8:ii*8)) std(anger_1_loudness_m(1+(ii-1)*8:ii*8)) std(anger_2_loudness_m(1+(ii-1)*8:ii*8)) std(anger_3_loudness_m(1+(ii-1)*8:ii*8)) ];
% hold on
% errorbar([ 1 2 3 4], mean_anger_to_plot, std_anger_to_plot,'k-','linewidth', 3)
% ylabel('Loudness (sones)','Fontsize',12);
% xlabel('Anger step','Fontsize',12);
% set(gca,'Fontsize',12)
% box on
% end