%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Version           : 23/07/2016
%
% Author            : Emmanuel Ponsot <ponsot@ircam.fr>
%%%%%%%%%%%%%%%%%%%%%%%%%%%%


clear all


MatrixAnovaR=[];

NumSubExp=23;
NumSessionExp=1;   
    
    NumSubj = [];
    NumPart=[];
    NumSession=[];
    Results=[];
    Type=[];
    
    
MatFiles = dir(['./*.mat']);
numfiles=length(MatFiles);


MatLoad=[];
 for ii = 1:numfiles
   if isempty(strfind(MatFiles(ii).name, 'ExpFir'))~=1 
   Data = load(MatFiles(ii).name, '-mat');
   Value = struct2cell(Data);
   MatLoad=[MatLoad; MatFiles(ii).name Value];
   % Now access the variable [Value]
   end
 end 
 

% Now you have to load MatLoad with 1st column names and second colum
% result in a structure

% Associate a number to each subject, extract the numbers part and the session
    
for numsubj_ii = 1:NumSubExp
for jj=1:size(MatLoad(:,1),1)
    
    Name=MatLoad{jj,1};
    MatLoadTemp=MatLoad{jj,2};
    MatLoadTemp_length_n=size(MatLoad{jj,2},1);
    
    for Part_ii=1:6
       
        if isempty(strfind(Name, ['Part' num2str(Part_ii) '_']))~=1 && isempty(strfind(Name, ['Sub' num2str(numsubj_ii) '_']))~=1
            
            Results=[Results ; MatLoadTemp];
            NumPart=[NumPart; Part_ii*ones(MatLoadTemp_length_n,1)];
            NumSession=[NumSession; 1*ones(MatLoadTemp_length_n,1)];
            
            if isempty(strfind(Name, 'ExpFir'))~=1 
                NumSubj=[NumSubj; numsubj_ii*ones(MatLoadTemp_length_n,1)];
            else
                NumSubj=[NumSubj; 0*ones(MatLoadTemp_length_n,1)];
                disp('error in subject names');
                
            end
        
        end
    end
    
    
    
end
end


% Now compile in the matrix results
FinalMatrixResults=[];
FinalMatrixResults=[NumSubj NumSession NumPart Results ];


%  Part_n Trial_n  Gender_to_read_n Context_to_read_n Anger_to_read_n Pitch_to_read_n CoefSlider_Arousal CoefSlider_Valence TimeElapsed_Arousal TimeElapsed_Valence TimeElapsed_validate

for subject_ii=1:NumSubExp
    for Gender_to_read_n=1:2
        for Context_to_read_n=0:3
            for Anger_to_read_n=1:3
                for Pitch_to_read_n=1:3
                    
                    
                    temp=[];
                    for ii =1:size(FinalMatrixResults,1)
                        if FinalMatrixResults(ii,1)==subject_ii &&  FinalMatrixResults(ii,6)==Gender_to_read_n && FinalMatrixResults(ii,7)==Context_to_read_n &&  FinalMatrixResults(ii,8)==Anger_to_read_n  &&  FinalMatrixResults(ii,9)==Pitch_to_read_n 
                         temp=[temp;FinalMatrixResults(ii,10:14)];
                        end
                    end
                    if size(temp,1)>1
                        temp=mean(temp);
                    end
                    MatrixAnovaR=[MatrixAnovaR; subject_ii Gender_to_read_n Context_to_read_n Anger_to_read_n Pitch_to_read_n temp];
                    
                end
            end
        end
    end
end