%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Version           : 23/07/2016
%
% Author            : Emmanuel Ponsot <ponsot@ircam.fr>
%%%%%%%%%%%%%%%%%%%%%%%%%%%%


clear all

MatrixAnovaR=[];

NumSubExp_v=linspace(1,23,23);
% NumSubExp_male_metal_v=[3 6 8 9 15 16 20];
% NumSubExp_female_metal_v=[10 11 14];
% NumSubExp_female_nonmetal_v=[1 2 5 7 13 17 19 22 23];
% NumSubExp_male_nonmetal_v=[4 12 18 21];
%NumSubExp_v=NumSubExp_male_metal_v;
NumSubExp=length(NumSubExp_v);

NumSessionExp=1;
type_data=2; % 1 : arousal / 2 : valence


MatFiles = dir(['./*.mat']);
numfiles=length(MatFiles);


NumSubj = [];
NumPart=[];
NumSession=[];
Results=[];
Type=[];

MatLoad=[];
for ii = 1:numfiles
    if isempty(strfind(MatFiles(ii).name, 'ExpFir'))~=1
        Data = load(MatFiles(ii).name, '-mat');
        Value = struct2cell(Data);
        MatLoad=[MatLoad; MatFiles(ii).name Value];
        % Now access the variable [Value]
    end
end


% Now you have to load MatLoad with 1st column names and second colum
% result in a structure

% Associate a number to each subject, extract the numbers part and the session

for numsubj_ii_list = 1:NumSubExp
    numsubj_ii=NumSubExp_v(numsubj_ii_list);
    
    for jj=1:size(MatLoad(:,1),1)
        
        Name=MatLoad{jj,1};
        MatLoadTemp=MatLoad{jj,2};
        MatLoadTemp_length_n=size(MatLoad{jj,2},1);
        
        for Part_ii=1:6
            
            if isempty(strfind(Name, ['Part' num2str(Part_ii) '_']))~=1 && isempty(strfind(Name, ['Sub' num2str(numsubj_ii) '_']))~=1
                
                Results=[Results ; MatLoadTemp];
                NumPart=[NumPart; Part_ii*ones(MatLoadTemp_length_n,1)];
                NumSession=[NumSession; 1*ones(MatLoadTemp_length_n,1)];
                
                if isempty(strfind(Name, 'ExpFir'))~=1
                    NumSubj=[NumSubj; numsubj_ii*ones(MatLoadTemp_length_n,1)];
                else
                    NumSubj=[NumSubj; 0*ones(MatLoadTemp_length_n,1)];
                    disp('error in subject names');
                    
                end
                
            end
        end
        
        
        
    end
end


% Now compile in the matrix results
FinalMatrixResults=[];
FinalMatrixResults=[NumSubj NumSession NumPart Results ];


%  Part_n Trial_n  Gender_to_read_n Context_to_read_n Anger_to_read_n Pitch_to_read_n CoefSlider_Arousal CoefSlider_Valence TimeElapsed_Arousal TimeElapsed_Valence TimeElapsed_validate

MatrixAllResults_m=zeros(NumSubExp,2,4,3,3);

for numsubj_ii_list = 1:NumSubExp
    
    numsubj_ii=NumSubExp_v(numsubj_ii_list);
    
    for Gender_to_read_n=1:2
        for Context_to_read_n=0:3
            for Anger_to_read_n=1:3
                for Pitch_to_read_n=1:3
                    
                    
                    temp=[];
                    for ii =1:size(FinalMatrixResults,1)
                        if FinalMatrixResults(ii,1)==numsubj_ii &&  FinalMatrixResults(ii,6)==Gender_to_read_n && FinalMatrixResults(ii,7)==Context_to_read_n &&  FinalMatrixResults(ii,8)==Anger_to_read_n  &&  FinalMatrixResults(ii,9)==Pitch_to_read_n
                            temp=[temp;FinalMatrixResults(ii,10:14)];
                        end
                    end
                    if size(temp,1)>1
                        temp=mean(temp);
                    end
                    MatrixAnovaR=[MatrixAnovaR;  Gender_to_read_n Context_to_read_n Anger_to_read_n Pitch_to_read_n temp];
                    MatrixAllResults_m(numsubj_ii_list,Gender_to_read_n, Context_to_read_n+1, Anger_to_read_n, Pitch_to_read_n)=temp(type_data);
                    
                end
            end
        end
    end
end



%% plot mean results for the paper

figure(10)
meantoplot_m=zeros(3,4);
semtoplot_m=zeros(3,4);

for aa=1:3
    Anger_to_read_n=aa;
    
    meantoplot=[];
    semtoplot=[];
    
    temp_mean=zeros(1,1);
    temp_sem=zeros(1,1);
    
    for ii=1:4
        temp_mean(:)=mean(mean(mean(mean( MatrixAllResults_m(:, :, ii, Anger_to_read_n, :))))) ;
        temp_sem(:)=mean(mean(mean(std( MatrixAllResults_m(:, :, ii, Anger_to_read_n, :))))) ;
        meantoplot=[meantoplot, temp_mean];
        semtoplot=[semtoplot, temp_sem];
    end
    meantoplot_m(aa,:)=meantoplot;
    semtoplot_m(aa,:)=semtoplot;
end

meantoplot_all=mean(meantoplot_m,1);
semtoplot_all=mean(semtoplot_m,1);

if type_data==2 
subplot(1,2,1)
errorbar([1,2,3,4],meantoplot_all,semtoplot_all./sqrt(NumSubExp),'k','Linewidth',2.5)
ylabel('Valence Rating','Fontsize',18);

else
subplot(1,2,2)
errorbar([1,2,3,4],meantoplot_all,semtoplot_all./sqrt(NumSubExp),'r','Linewidth',2.5)
ylabel('Arousal Rating','Fontsize',18);
end

xlabel('Context','Fontsize',18);
ylim([30 70])
xlim([0.5 4.5])

hold on
%plot(segments, 0.*segments, '-k','Linewidth',1.8);
set(gca,'XTick',[1:4],'XTicklabel',{'V', 'V+cG', 'V+dG', 'V+N'})
set(gca,'Fontsize',14)
box on

