%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Version           : 23/07/2016
%
% Author            : Emmanuel Ponsot <ponsot@ircam.fr>
%%%%%%%%%%%%%%%%%%%%%%%%%%%%


clear all

MatrixAnovaR=[];

NumSubExp=23;
NumSessionExp=1;   
    
    
MatFiles = dir(['./*.mat']);
numfiles=length(MatFiles);


    NumSubj = [];
    NumPart=[];
    NumSession=[];
    Results=[];
    Type=[];
    
MatLoad=[];
 for ii = 1:numfiles
   if isempty(strfind(MatFiles(ii).name, 'ExpFir'))~=1 
   Data = load(MatFiles(ii).name, '-mat');
   Value = struct2cell(Data);
   MatLoad=[MatLoad; MatFiles(ii).name Value];
   % Now access the variable [Value]
   end
 end 
 

% Now you have to load MatLoad with 1st column names and second colum
% result in a structure

% Associate a number to each subject, extract the numbers part and the session
    
for numsubj_ii = 1:NumSubExp
for jj=1:size(MatLoad(:,1),1)
    
    Name=MatLoad{jj,1};
    MatLoadTemp=MatLoad{jj,2};
    MatLoadTemp_length_n=size(MatLoad{jj,2},1);
    
    for Part_ii=1:6
       
        if isempty(strfind(Name, ['Part' num2str(Part_ii) '_']))~=1 && isempty(strfind(Name, ['Sub' num2str(numsubj_ii) '_']))~=1
            
            Results=[Results ; MatLoadTemp];
            NumPart=[NumPart; Part_ii*ones(MatLoadTemp_length_n,1)];
            NumSession=[NumSession; 1*ones(MatLoadTemp_length_n,1)];
            
            if isempty(strfind(Name, 'ExpFir'))~=1 
                NumSubj=[NumSubj; numsubj_ii*ones(MatLoadTemp_length_n,1)];
            else
                NumSubj=[NumSubj; 0*ones(MatLoadTemp_length_n,1)];
                disp('error in subject names');
                
            end
        
        end
    end
    
    
    
end
end


% Now compile in the matrix results
FinalMatrixResults=[];
FinalMatrixResults=[NumSubj NumSession NumPart Results ];


%  Part_n Trial_n  Gender_to_read_n Context_to_read_n Anger_to_read_n Pitch_to_read_n CoefSlider_Arousal CoefSlider_Valence TimeElapsed_Arousal TimeElapsed_Valence TimeElapsed_validate

MatrixAllResults_m=zeros(23,2,4,3,3);

for subject_ii=1:NumSubExp
    for Gender_to_read_n=1:2
        for Context_to_read_n=0:3
            for Anger_to_read_n=1:3
                for Pitch_to_read_n=1:3
                    
                    
                    temp=[];
                    for ii =1:size(FinalMatrixResults,1)
                        if FinalMatrixResults(ii,1)==subject_ii &&  FinalMatrixResults(ii,6)==Gender_to_read_n && FinalMatrixResults(ii,7)==Context_to_read_n &&  FinalMatrixResults(ii,8)==Anger_to_read_n  &&  FinalMatrixResults(ii,9)==Pitch_to_read_n 
                         temp=[temp;FinalMatrixResults(ii,10:14)];
                        end
                    end
                    if size(temp,1)>1
                        temp=mean(temp);
                    end
                    MatrixAnovaR=[MatrixAnovaR;  Gender_to_read_n Context_to_read_n Anger_to_read_n Pitch_to_read_n temp];
                    MatrixAllResults_m(subject_ii,Gender_to_read_n, Context_to_read_n+1, Anger_to_read_n, Pitch_to_read_n)=temp(2);% temp(1) : arousal / temp(2) : valence
                    
                end
            end
        end
    end
end



%% plot the data

        
        

figure(20)

%for Gender_to_read_n=1:2
    for Pitch_to_read_n=1:3
      
        Context_to_read_n=1;
        
        %subplot(2,3,Pitch_to_read_n+3*(Gender_to_read_n-1))
        subplot(1,3,Pitch_to_read_n)
        meantoplot=zeros(3,1);
        semtoplot=zeros(3,1);
        meantoplot(:)=mean( MatrixAllResults_m(:,Gender_to_read_n, Context_to_read_n, :, Pitch_to_read_n) );
        semtoplot(:)=std( MatrixAllResults_m(:,Gender_to_read_n, Context_to_read_n, :, Pitch_to_read_n) )/sqrt(NumSubExp);

        errorbar(-0.15+[1,2,3],meantoplot,semtoplot,'k','Linewidth',1.8)
        ylim([10 30])
      
        hold on
        
        Context_to_read_n=2;
        
        %subplot(2,3,Pitch_to_read_n+3*(Gender_to_read_n-1))
        subplot(1,3,Pitch_to_read_n)
        meantoplot=zeros(3,1);
        semtoplot=zeros(3,1);
        meantoplot(:)=mean( MatrixAllResults_m(:,Gender_to_read_n, Context_to_read_n, :, Pitch_to_read_n) );
        semtoplot(:)=std( MatrixAllResults_m(:,Gender_to_read_n, Context_to_read_n, :, Pitch_to_read_n) )/sqrt(NumSubExp);

        errorbar(-0.05+[1,2,3],meantoplot,semtoplot,'b','Linewidth',1.8)
        ylim([10 30])
        
              
        hold on
        
        Context_to_read_n=3;
        
        %subplot(2,3,Pitch_to_read_n+3*(Gender_to_read_n-1))
        subplot(1,3,Pitch_to_read_n)
        meantoplot=zeros(3,1);
        semtoplot=zeros(3,1);
        meantoplot(:)=mean( MatrixAllResults_m(:,Gender_to_read_n, Context_to_read_n, :, Pitch_to_read_n) );
        semtoplot(:)=std( MatrixAllResults_m(:,Gender_to_read_n, Context_to_read_n, :, Pitch_to_read_n) )/sqrt(NumSubExp);

        errorbar(0.05+[1,2,3],meantoplot,semtoplot,'r','Linewidth',1.8)
        ylim([10 30])
        
        hold on
        
        Context_to_read_n=4;
        
        %subplot(2,3,Pitch_to_read_n+3*(Gender_to_read_n-1))
        subplot(1,3,Pitch_to_read_n)
        meantoplot=zeros(3,1);
        semtoplot=zeros(3,1);
        meantoplot(:)=mean( MatrixAllResults_m(:,Gender_to_read_n, Context_to_read_n, :, Pitch_to_read_n) );
        semtoplot(:)=std( MatrixAllResults_m(:,Gender_to_read_n, Context_to_read_n, :, Pitch_to_read_n) )/sqrt(NumSubExp);

        errorbar(0.15+[1,2,3],meantoplot,semtoplot,'g','Linewidth',1.8)
        ylim([0 100])
        
        ylabel('Valence Rating','Fontsize',10);
        xlabel('Anger Level','Fontsize',10);
        ylim([0 100])
        hold on
        %plot(segments, 0.*segments, '-k','Linewidth',1.8);
        set(gca,'XTick',[1:3])
        set(gca,'Fontsize',12)
        box on 
        
    end
%end



%%

         figure(10)
%         meantoplot=zeros(3,1);
%         semtoplot=zeros(3,1);
%         

        Context_to_read_n=1;
        meantoplot(:)=[mean(mean(mean( MatrixAllResults_m(:, :, Context_to_read_n, 1, :)))),  mean(mean(mean( MatrixAllResults_m(:, :, Context_to_read_n, 2, :)))),   mean(mean(mean( MatrixAllResults_m(:, :, Context_to_read_n, 3, :))))  ];
        semtoplot(:)=[mean(mean(std( MatrixAllResults_m(:, :, Context_to_read_n, 1, :)))),  mean(mean(std( MatrixAllResults_m(:, :, Context_to_read_n, 2, :)))),   mean(mean(std( MatrixAllResults_m(:, :, Context_to_read_n, 3, :))))  ];
        errorbar(-0.15+[1,2,3],meantoplot,2*semtoplot/sqrt(NumSubExp),'k','Linewidth',1.8)
         
       
        hold on
        
        Context_to_read_n=2;
        meantoplot(:)=[mean(mean(mean( MatrixAllResults_m(:, :, Context_to_read_n, 1, :)))),  mean(mean(mean( MatrixAllResults_m(:, :, Context_to_read_n, 2, :)))),   mean(mean(mean( MatrixAllResults_m(:, :, Context_to_read_n, 3, :))))  ];
        semtoplot(:)=[mean(mean(std( MatrixAllResults_m(:, :, Context_to_read_n, 1, :)))),  mean(mean(std( MatrixAllResults_m(:, :, Context_to_read_n, 2, :)))),   mean(mean(std( MatrixAllResults_m(:, :, Context_to_read_n, 3, :))))  ];
        errorbar(-0.05+[1,2,3],meantoplot,2*semtoplot/sqrt(NumSubExp),'b','Linewidth',1.8)

       
        hold on
       
        Context_to_read_n=3;
        meantoplot(:)=[mean(mean(mean( MatrixAllResults_m(:, :, Context_to_read_n, 1, :)))),  mean(mean(mean( MatrixAllResults_m(:, :, Context_to_read_n, 2, :)))),   mean(mean(mean( MatrixAllResults_m(:, :, Context_to_read_n, 3, :))))  ];
        semtoplot(:)=[mean(mean(std( MatrixAllResults_m(:, :, Context_to_read_n, 1, :)))),  mean(mean(std( MatrixAllResults_m(:, :, Context_to_read_n, 2, :)))),   mean(mean(std( MatrixAllResults_m(:, :, Context_to_read_n, 3, :))))  ];
        errorbar(0.05+[1,2,3],meantoplot,2*semtoplot/sqrt(NumSubExp),'r','Linewidth',1.8)


         hold on
        
        Context_to_read_n=4;
        meantoplot(:)=[mean(mean(mean( MatrixAllResults_m(:, :, Context_to_read_n, 1, :)))),  mean(mean(mean( MatrixAllResults_m(:, :, Context_to_read_n, 2, :)))),   mean(mean(mean( MatrixAllResults_m(:, :, Context_to_read_n, 3, :))))  ];
        semtoplot(:)=[mean(mean(std( MatrixAllResults_m(:, :, Context_to_read_n, 1, :)))),  mean(mean(std( MatrixAllResults_m(:, :, Context_to_read_n, 2, :)))),   mean(mean(std( MatrixAllResults_m(:, :, Context_to_read_n, 3, :))))  ];
        errorbar(0.15+[1,2,3],meantoplot,2*semtoplot/sqrt(NumSubExp),'g','Linewidth',1.8)

        
ylabel('Valence Rating','Fontsize',14);
xlabel('Anger Level','Fontsize',14);
ylim([0 100])
hold on
%plot(segments, 0.*segments, '-k','Linewidth',1.8);
set(gca,'XTick',[1:3])
set(gca,'Fontsize',16)
box on 
