%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Version           : 23/07/2016
%
% Author            : Emmanuel Ponsot <ponsot@ircam.fr>
%%%%%%%%%%%%%%%%%%%%%%%%%%%%


clear all

MatrixAnovaR=[];

NumSubExp_v=linspace(1,23,23);
% NumSubExp_male_metal_v=[3 6 8 9 15 16 20];
% NumSubExp_female_metal_v=[10 11 14];
% NumSubExp_female_nonmetal_v=[1 2 5 7 13 17 19 22 23];
% NumSubExp_male_nonmetal_v=[4 12 18 21];
%NumSubExp_v=NumSubExp_male_metal_v;
NumSubExp=length(NumSubExp_v);

NumSessionExp=1;


MatFiles = dir(['./*.mat']);
numfiles=length(MatFiles);


NumSubj = [];
NumPart=[];
NumSession=[];
Results=[];
Type=[];

MatLoad=[];
for ii = 1:numfiles
    if isempty(strfind(MatFiles(ii).name, 'ExpFir'))~=1
        Data = load(MatFiles(ii).name, '-mat');
        Value = struct2cell(Data);
        MatLoad=[MatLoad; MatFiles(ii).name Value];
        % Now access the variable [Value]
    end
end


% Now you have to load MatLoad with 1st column names and second colum
% result in a structure

% Associate a number to each subject, extract the numbers part and the session

for numsubj_ii_list = 1:NumSubExp
    numsubj_ii=NumSubExp_v(numsubj_ii_list);
    
    for jj=1:size(MatLoad(:,1),1)
        
        Name=MatLoad{jj,1};
        MatLoadTemp=MatLoad{jj,2};
        MatLoadTemp_length_n=size(MatLoad{jj,2},1);
        
        for Part_ii=1:6
            
            if isempty(strfind(Name, ['Part' num2str(Part_ii) '_']))~=1 && isempty(strfind(Name, ['Sub' num2str(numsubj_ii) '_']))~=1
                
                Results=[Results ; MatLoadTemp];
                NumPart=[NumPart; Part_ii*ones(MatLoadTemp_length_n,1)];
                NumSession=[NumSession; 1*ones(MatLoadTemp_length_n,1)];
                
                if isempty(strfind(Name, 'ExpFir'))~=1
                    NumSubj=[NumSubj; numsubj_ii*ones(MatLoadTemp_length_n,1)];
                else
                    NumSubj=[NumSubj; 0*ones(MatLoadTemp_length_n,1)];
                    disp('error in subject names');
                    
                end
                
            end
        end
        
        
        
    end
end


% Now compile in the matrix results
FinalMatrixResults=[];
FinalMatrixResults=[NumSubj NumSession NumPart Results ];


%  Part_n Trial_n  Gender_to_read_n Context_to_read_n Anger_to_read_n Pitch_to_read_n CoefSlider_Arousal CoefSlider_Valence TimeElapsed_Arousal TimeElapsed_Valence TimeElapsed_validate

MatrixAllResults_m=zeros(NumSubExp,2,4,3,3);

for numsubj_ii_list = 1:NumSubExp
   
    numsubj_ii=NumSubExp_v(numsubj_ii_list);

    for Gender_to_read_n=1:2
        for Context_to_read_n=0:3
            for Anger_to_read_n=1:3
                for Pitch_to_read_n=1:3
                    
                    
                    temp=[];
                    for ii =1:size(FinalMatrixResults,1)
                        if FinalMatrixResults(ii,1)==numsubj_ii &&  FinalMatrixResults(ii,6)==Gender_to_read_n && FinalMatrixResults(ii,7)==Context_to_read_n &&  FinalMatrixResults(ii,8)==Anger_to_read_n  &&  FinalMatrixResults(ii,9)==Pitch_to_read_n
                            temp=[temp;FinalMatrixResults(ii,10:14)];
                        end
                    end
                    if size(temp,1)>1
                        temp=mean(temp);
                    end
                    MatrixAnovaR=[MatrixAnovaR;  Gender_to_read_n Context_to_read_n Anger_to_read_n Pitch_to_read_n temp];
                    MatrixAllResults_m(numsubj_ii_list,Gender_to_read_n, Context_to_read_n+1, Anger_to_read_n, Pitch_to_read_n)=temp(1);% temp(1) : arousal / temp(2) : valence
                    
                end
            end
        end
    end
end



%% plot the data


figure(20)

%for Gender_to_read_n=1:2
for Pitch_to_read_n=1:3
    
    Context_to_read_n=1;
    
    %subplot(2,3,Pitch_to_read_n+3*(Gender_to_read_n-1))
    subplot(1,3,Pitch_to_read_n)
    meantoplot=zeros(3,1);
    semtoplot=zeros(3,1);
    meantoplot(:)=mean( MatrixAllResults_m(:,Gender_to_read_n, Context_to_read_n, :, Pitch_to_read_n) );
    semtoplot(:)=std( MatrixAllResults_m(:,Gender_to_read_n, Context_to_read_n, :, Pitch_to_read_n) )/sqrt(NumSubExp);
    
    errorbar(-0.15+[1,2,3],meantoplot,semtoplot,'k','Linewidth',1.8)
    ylim([10 30])
    
    hold on
    
    Context_to_read_n=2;
    
    %subplot(2,3,Pitch_to_read_n+3*(Gender_to_read_n-1))
    subplot(1,3,Pitch_to_read_n)
    meantoplot=zeros(3,1);
    semtoplot=zeros(3,1);
    meantoplot(:)=mean( MatrixAllResults_m(:,Gender_to_read_n, Context_to_read_n, :, Pitch_to_read_n) );
    semtoplot(:)=std( MatrixAllResults_m(:,Gender_to_read_n, Context_to_read_n, :, Pitch_to_read_n) )/sqrt(NumSubExp);
    
    errorbar(-0.05+[1,2,3],meantoplot,semtoplot,'b','Linewidth',1.8)
    ylim([10 30])
    
    
    hold on
    
    Context_to_read_n=3;
    
    %subplot(2,3,Pitch_to_read_n+3*(Gender_to_read_n-1))
    subplot(1,3,Pitch_to_read_n)
    meantoplot=zeros(3,1);
    semtoplot=zeros(3,1);
    meantoplot(:)=mean( MatrixAllResults_m(:,Gender_to_read_n, Context_to_read_n, :, Pitch_to_read_n) );
    semtoplot(:)=std( MatrixAllResults_m(:,Gender_to_read_n, Context_to_read_n, :, Pitch_to_read_n) )/sqrt(NumSubExp);
    
    errorbar(0.05+[1,2,3],meantoplot,semtoplot,'r','Linewidth',1.8)
    ylim([10 30])
    
    hold on
    
    Context_to_read_n=4;
    
    %subplot(2,3,Pitch_to_read_n+3*(Gender_to_read_n-1))
    subplot(1,3,Pitch_to_read_n)
    meantoplot=zeros(3,1);
    semtoplot=zeros(3,1);
    meantoplot(:)=mean( MatrixAllResults_m(:,Gender_to_read_n, Context_to_read_n, :, Pitch_to_read_n) );
    semtoplot(:)=std( MatrixAllResults_m(:,Gender_to_read_n, Context_to_read_n, :, Pitch_to_read_n) )/sqrt(NumSubExp);
    
    errorbar(0.15+[1,2,3],meantoplot,semtoplot,'g','Linewidth',1.8)
    ylim([0 100])
    
    ylabel('Valence Rating','Fontsize',10);
    xlabel('Anger Level','Fontsize',10);
    ylim([0 100])
    hold on
    %plot(segments, 0.*segments, '-k','Linewidth',1.8);
    set(gca,'XTick',[1:3])
    set(gca,'Fontsize',12)
    box on
    
end
%end



%%

figure(10)

for gg=1:2
    for aa=1:3
        hold on
        Gender_to_read_n=gg;
        Anger_to_read_n=aa;
        
        meantoplot=zeros(4,1);
        meantoplot_both=zeros(4,1);
        semtoplot=zeros(4,1);
        
        meantoplot(:)=[mean(mean(mean( MatrixAllResults_m(:, Gender_to_read_n, 1, Anger_to_read_n, :)))),  mean(mean(mean( MatrixAllResults_m(:, Gender_to_read_n, 2, Anger_to_read_n, :)))),   mean(mean(mean( MatrixAllResults_m(:, Gender_to_read_n, 3, Anger_to_read_n, :))))  mean(mean(mean( MatrixAllResults_m(:, Gender_to_read_n, 4, Anger_to_read_n, :)))) ];
        meantoplot_both(:)=[mean(mean(mean( MatrixAllResults_m(:, :, 1, Anger_to_read_n, :)))),  mean(mean(mean( MatrixAllResults_m(:, :, 2, Anger_to_read_n, :)))),   mean(mean(mean( MatrixAllResults_m(:, :, 3, Anger_to_read_n, :))))  mean(mean(mean( MatrixAllResults_m(:, :, 4, Anger_to_read_n, :)))) ];
        semtoplot(:)=[mean(mean(std( MatrixAllResults_m(:, Gender_to_read_n, 1, Anger_to_read_n, :)))),  mean(mean(std( MatrixAllResults_m(:, Gender_to_read_n, 2, Anger_to_read_n, :)))),   mean(mean(std( MatrixAllResults_m(:, Gender_to_read_n, 3, Anger_to_read_n, :))))  mean(mean(std( MatrixAllResults_m(:, Gender_to_read_n, 4, Anger_to_read_n, :)))) ];
        if gg==1
            %errorbar(-0.05+[1,2,3,4],meantoplot,semtoplot./sqrt(NumSubExp),'b','Linewidth',1.8)
        else
            %errorbar(0.05+[1,2,3,4],meantoplot,semtoplot./sqrt(NumSubExp),'m','Linewidth',1.8)
            errorbar([1,2,3,4],100-meantoplot_both,semtoplot./sqrt(NumSubExp),'r','Linewidth',2.5)
        end
        
        
    end
end




ylabel('Valence Rating','Fontsize',18);
xlabel('Context','Fontsize',18);
ylim([0 100])
xlim([0.5 4.5])

hold on
%plot(segments, 0.*segments, '-k','Linewidth',1.8);
set(gca,'XTick',[1:4],'XTicklabel',{'V', 'V+cG', 'V+dG', 'V+N'})
set(gca,'Fontsize',14)
box on





%%
figure(11)
for pp=1:3
    for gg=1:2
        for aa=1:3
            subplot(1,3,pp)
            hold on
            Gender_to_read_n=gg;
            Anger_to_read_n=aa;
            Pitch_to_read_n=pp;
            
            meantoplot=zeros(4,1);
            meantoplot_both=zeros(4,1);
            semtoplot=zeros(4,1);
            
            meantoplot(:)=[mean(mean(mean( MatrixAllResults_m(:, Gender_to_read_n, 1, Anger_to_read_n, Pitch_to_read_n)))),  mean(mean(mean( MatrixAllResults_m(:, Gender_to_read_n, 2, Anger_to_read_n, Pitch_to_read_n)))),   mean(mean(mean( MatrixAllResults_m(:, Gender_to_read_n, 3, Anger_to_read_n, Pitch_to_read_n))))  mean(mean(mean( MatrixAllResults_m(:, Gender_to_read_n, 4, Anger_to_read_n, Pitch_to_read_n)))) ];
            meantoplot_both(:)=[mean(mean(mean( MatrixAllResults_m(:, :, 1, Anger_to_read_n, Pitch_to_read_n)))),  mean(mean(mean( MatrixAllResults_m(:, :, 2, Anger_to_read_n, Pitch_to_read_n)))),   mean(mean(mean( MatrixAllResults_m(:, :, 3, Anger_to_read_n, Pitch_to_read_n))))  mean(mean(mean( MatrixAllResults_m(:, :, 4, Anger_to_read_n, :)))) ];
            semtoplot(:)=[mean(mean(std( MatrixAllResults_m(:, Gender_to_read_n, 1, Anger_to_read_n, Pitch_to_read_n)))),  mean(mean(std( MatrixAllResults_m(:, Gender_to_read_n, 2, Anger_to_read_n, Pitch_to_read_n)))),   mean(mean(std( MatrixAllResults_m(:, Gender_to_read_n, 3, Anger_to_read_n, Pitch_to_read_n))))  mean(mean(std( MatrixAllResults_m(:, Gender_to_read_n, 4, Anger_to_read_n, Pitch_to_read_n)))) ];
            if gg==1
                errorbar(-0.05+[1,2,3,4],meantoplot,semtoplot./sqrt(NumSubExp),'b','Linewidth',1.8)
            else
                errorbar(0.05+[1,2,3,4],meantoplot,semtoplot./sqrt(NumSubExp),'m','Linewidth',1.8)
                %errorbar([1,2,3,4],meantoplot_both,semtoplot./sqrt(NumSubExp),'k','Linewidth',2.5)
            end
            
            
        end
    end
    ylabel('Valence Rating','Fontsize',14);
    xlabel('Context','Fontsize',14);
    ylim([0 100])
    xlim([0.5 4.5])
    
    hold on
    %plot(segments, 0.*segments, '-k','Linewidth',1.8);
    set(gca,'XTick',[1:4])
    set(gca,'Fontsize',16)
    box on
end



