# set wd
setwd("/Users/liuni/IRCAM_SYNC/CREAM/_EXP/angry_pilot/final-fir-experiment-correct/exp_fir_data/all_results/")

experiment = "results_Mars2018.csv"
data = read.csv(experiment)
#summary(data)
#str(data)

levels(data$Context) <- c("voice","voice + clean guitar","voice + dist guitar","voice + noise")

Subject<-data$NumSub
Context<-data$Context
AngerLevel<-data$AngerLevel
SliArou<-data$SliArou
SliVal<-data$SliVal


fSubject<-as.factor(data$NumSub)
#print(fSubject)
fContext<-as.factor(data$Context)
fAngerLevel<-as.factor(data$AngerLevel)
SliVal<-as.numeric(data$SliVal)
SliArou<-as.numeric(data$SliArou)

# ANALYSE 
data=data.frame( fSubject, fContext, fAngerLevel, SliArou, SliVal)

sliders = data.frame(fContext, fAngerLevel, SliArou, SliVal)
alone <- subset(sliders, fContext == 0)
#is.data.frame(alone)
clean <- subset(sliders, fContext == 1)
dist <- subset(sliders, fContext == 2)
noise <- subset(sliders, fContext == 3)

grays <- gray.colors(4, start = 0.3, end = 0.9, gamma = 2.2, alpha = NULL)

##### EFFECT OF CONTEXT #####

##### AROUSAL #####

### Means per anger level ###
postscript(file = "~/IRCAM_SYNC/TEX/PUBS/Biology/figures/means_arou_angerlevels.ps")

Data_arou <- aggregate(data$SliArou,
    by = list(ctxt = data$fContext, anger = data$fAngerLevel),
    FUN = function(x) c(mean = mean(x), sd = sd(x),
                        n = length(x)))

Data_arou <- do.call(data.frame, Data_arou)

Data_arou$se <- Data_arou$x.sd / sqrt(Data_arou$x.n)

colnames(Data_arou) <- c("ctxt", "anger", "mean", "sd", "n", "se")

Data_arou$names <- c(paste(Data_arou$ctxt, "ctxt /",
                        Data_arou$anger, " anger"))

tabbedMeans <- tapply(Data_arou$mean, list(Data_arou$ctxt, Data_arou$anger),
       function(x) c(x = x))
tabbedSE <- tapply(Data_arou$se, list(Data_arou$ctxt, Data_arou$anger),
       function(x) c(x = x))       

plotTop <- max(Data_arou$mean) +
           Data_arou[Data_arou$mean == max(Data_arou$mean), 6] * 3


barCenters <- barplot(height = tabbedMeans,
                      beside = TRUE, las = 1,
                      ylim = c(0, plotTop),
                      cex.names = 3,
                      #main = "Mileage by No. Cylinders and No. Gears",
                      ylab = "Arousal",
                      xlab = "Anger level",
                      border = "black", axes = TRUE, cex.lab=3, cex.axis=3, cex.main=3, cex.sub=3,
#                      legend.text = TRUE,
#                      args.legend = list(title = "Context", 
#                                         x = "topleft",
#                                         cex = .7)
                                         )

segments(barCenters, tabbedMeans - tabbedSE * 2, barCenters,
         tabbedMeans + tabbedSE * 2, lwd = 1.5)

arrows(barCenters, tabbedMeans - tabbedSE * 2, barCenters,
       tabbedMeans + tabbedSE * 2, lwd = 1.5, angle = 90,
       code = 3, length = 0.05)

# Save the file
dev.off()


### Means among all anger levels ###
postscript(file = "~/IRCAM_SYNC/TEX/PUBS/Biology/figures/means_arou_anger-all.ps")

Data_arou <- aggregate(data$SliArou,
    by = list(ctxt = data$fContext),
    FUN = function(x) c(mean = mean(x), sd = sd(x),
                        n = length(x)))

Data_arou <- do.call(data.frame, Data_arou)

Data_arou$se <- Data_arou$x.sd / sqrt(Data_arou $x.n)

colnames(Data_arou) <- c("ctxt", "mean", "sd", "n", "se")

#Data_arou$names <- c(paste(Data_arou$ctxt, "ctxt /"))
par(mar = c(5, 6, 4, 5) + 0.1)

#plotTop <- max(Data_arou$mean) +
#           Data_arou[Data_arou$mean == max(Data_arou$mean), 5] * 3

barCenters <- barplot(height = Data_arou$mean,
                  #names.arg = Data_arou$names,
                  beside = true, las = 2,
                  ylim = c(0, plotTop),
                  #cex.names = 3, xaxt = "n",
                  #main = "Mileage by No. Cylinders and No. Gears",
                  xlab = "context",
                  ylab = "arousal",
                  border = "black", col = grays, axes = TRUE, cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5,)

# Specify the groupings. We use srt = 45 for a
# 45 degree string rotation
text(x = barCenters, y = par("usr")[3] - 1, srt = 45,
     adj = 1, labels = Data_arou$names, xpd = TRUE)

segments(barCenters, Data_arou$mean - Data_arou$se * 2, barCenters,
         Data_arou$mean + Data_arou$se * 2, lwd = 1.5)

arrows(barCenters, Data_arou$mean - Data_arou$se * 2, barCenters,
       Data_arou$mean + Data_arou$se * 2, lwd = 1.5, angle = 90,
       code = 3, length = 0.05)

# Save the file
dev.off()

### Means among all contexts ###
postscript(file = "~/IRCAM_SYNC/TEX/PUBS/Biology/figures/means_arou_context-all.ps")

Data_arou <- aggregate(data$SliArou,
    by = list(ctxt = data$fContext),
    FUN = function(x) c(mean = mean(x), sd = sd(x),
                        n = length(x)))

Data_arou <- do.call(data.frame, Data_arou)

Data_arou$se <- Data_arou$x.sd / sqrt(Data_arou $x.n)

colnames(Data_arou) <- c("ctxt", "mean", "sd", "n", "se")

#Data_arou$names <- c(paste(Data_arou$ctxt, "ctxt /"))
par(mar = c(5, 6, 4, 5) + 0.1)

#plotTop <- max(Data_arou$mean) +
#           Data_arou[Data_arou$mean == max(Data_arou$mean), 5] * 3

barCenters <- barplot(height = Data_arou$mean,
                  #names.arg = Data_arou$names,
                  beside = true, las = 2,
                  ylim = c(0, plotTop),
                  #cex.names = 3, xaxt = "n",
                  #main = "Mileage by No. Cylinders and No. Gears",
                  xlab = "context",
                  ylab = "arousal",
                  border = "black", col = grays, axes = TRUE, cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5,)

# Specify the groupings. We use srt = 45 for a
# 45 degree string rotation
text(x = barCenters, y = par("usr")[3] - 1, srt = 45,
     adj = 1, labels = Data_arou$names, xpd = TRUE)

segments(barCenters, Data_arou$mean - Data_arou$se * 2, barCenters,
         Data_arou$mean + Data_arou$se * 2, lwd = 1.5)

arrows(barCenters, Data_arou$mean - Data_arou$se * 2, barCenters,
       Data_arou$mean + Data_arou$se * 2, lwd = 1.5, angle = 90,
       code = 3, length = 0.05)

# Save the file
dev.off()



##### NEGATIVITY #####

### Means per anger level ###
postscript(file = "~/IRCAM_SYNC/TEX/PUBS/Biology/figures/means_neg_angerlevels.ps")

Data_neg <- aggregate(100 - data$SliVal,
    by = list(ctxt = data$fContext, anger = data$fAngerLevel),
    FUN = function(x) c(mean = mean(x), sd = sd(x),
                        n = length(x)))

Data_neg <- do.call(data.frame, Data_neg)

Data_neg$se <- Data_neg$x.sd / sqrt(Data_neg$x.n)

colnames(Data_neg) <- c("ctxt", "anger", "mean", "sd", "n", "se")

Data_neg$names <- c(paste(Data_neg$ctxt, "ctxt /",
                        Data_neg$anger, " anger"))

tabbedMeans <- tapply(Data_neg$mean, list(Data_neg$ctxt, Data_neg$anger),
       function(x) c(x = x))
tabbedSE <- tapply(Data_neg$se, list(Data_neg$ctxt, Data_neg$anger),
       function(x) c(x = x))       

plotTop <- max(Data_neg$mean) +
           Data_neg[Data_neg$mean == max(Data_neg$mean), 6] * 3

barCenters <- barplot(height = tabbedMeans,
                      beside = TRUE, las = 1,
                      ylim = c(0, plotTop),
                      cex.names = 3,
                      #main = "Mileage by No. Cylinders and No. Gears",
                      ylab = "Negativity",
                      xlab = "Anger level",
                      border = "black", axes = TRUE, cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5,
                      #legend.text = TRUE,
                      #args.legend = list(title = "No. Cylinders", 
                                         #x = "topleft",
                                         #cex = .7)
                                         )

segments(barCenters, tabbedMeans - tabbedSE * 2, barCenters,
         tabbedMeans + tabbedSE * 2, lwd = 1.5)

arrows(barCenters, tabbedMeans - tabbedSE * 2, barCenters,
       tabbedMeans + tabbedSE * 2, lwd = 1.5, angle = 90,
       code = 3, length = 0.05)

# Save the file
dev.off()


### Means among all anger levels ###
postscript(file = "~/IRCAM_SYNC/TEX/PUBS/Biology/figures/means_neg_anger-all.ps")

Data_neg <- aggregate(100 - data$SliVal,
    by = list(ctxt = data$fContext),
    FUN = function(x) c(mean = mean(x), sd = sd(x),
                        n = length(x)))

Data_neg <- do.call(data.frame, Data_neg)

Data_neg$se <- Data_neg$x.sd / sqrt(Data_neg$x.n)

colnames(Data_neg) <- c("ctxt", "mean", "sd", "n", "se")

#Data_neg$names <- c(paste(Data_neg$ctxt, "ctxt /"))

par(mar = c(5, 6, 4, 5) + 0.1)

#plotTop <- max(Data_neg$mean) +
           Data_neg[Data_neg$mean == max(Data_neg$mean), 5] * 3

barCenters <- barplot(height = Data_neg$mean,
                  #names.arg = Data_neg$names,
                  beside = true, las = 2,
                  ylim = c(0, plotTop),
                  cex.names = 3, xaxt = "n",
                  #main = "Mileage by No. Cylinders and No. Gears",
                  xlab = "context",
                  ylab = "negativity",
                  border = "black", col = grays, axes = TRUE, cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5,)

# Specify the groupings. We use srt = 45 for a
# 45 degree string rotation
text(x = barCenters, y = par("usr")[3] - 1, srt = 45,
     adj = 1, labels = Data_neg$names, xpd = TRUE)

segments(barCenters, Data_neg$mean - Data_neg$se * 2, barCenters,
         Data_neg$mean + Data_neg$se * 2, lwd = 1.5)

arrows(barCenters, Data_neg$mean - Data_neg$se * 2, barCenters,
       Data_neg$mean + Data_neg$se * 2, lwd = 1.5, angle = 90,
       code = 3, length = 0.05)



##### EFFECT OF ANGER #####

##### AROUSAL #####

### Means among all anger levels ###
postscript(file = "~/IRCAM_SYNC/TEX/PUBS/Biology/figures/angeff-means_arou_angerlevels.ps")

Data_arou <- aggregate(data$SliArou,
    by = list(ctxt = data$fAngerLevel),
    FUN = function(x) c(mean = mean(x), sd = sd(x),
                        n = length(x)))

Data_arou <- do.call(data.frame, Data_arou)

Data_arou$se <- Data_arou$x.sd / sqrt(Data_arou $x.n)

colnames(Data_arou) <- c("ctxt", "mean", "sd", "n", "se")

#Data_arou$names <- c(paste(Data_arou$ctxt, "ctxt /"))
par(mar = c(5, 6, 4, 5) + 0.1)

#plotTop <- max(Data_arou$mean) +
#           Data_arou[Data_arou$mean == max(Data_arou$mean), 5] * 3

barCenters <- barplot(height = Data_arou$mean,
                  #names.arg = Data_arou$names,
                  beside = true, las = 2,
                  ylim = c(0, plotTop),
                  #cex.names = 3, xaxt = "n",
                  #main = "Mileage by No. Cylinders and No. Gears",
                  xlab = "anger level",
                  ylab = "arousal",
                  border = "black", 
                  #col = grays, 
                  axes = TRUE, cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5,)

# Specify the groupings. We use srt = 45 for a
# 45 degree string rotation
text(x = barCenters, y = par("usr")[3] - 1, srt = 45,
     adj = 1, labels = Data_arou$names, xpd = TRUE)

segments(barCenters, Data_arou$mean - Data_arou$se * 2, barCenters,
         Data_arou$mean + Data_arou$se * 2, lwd = 1.5)

arrows(barCenters, Data_arou$mean - Data_arou$se * 2, barCenters,
       Data_arou$mean + Data_arou$se * 2, lwd = 1.5, angle = 90,
       code = 3, length = 0.05)

# Save the file
dev.off()



##### NEGATIVITY #####

### Means among all anger levels ###
postscript(file = "~/IRCAM_SYNC/TEX/PUBS/Biology/figures/angeff-means_neg_angerlevels.ps")

Data_neg <- aggregate(100 - data$SliVal,
    by = list(ctxt = data$fAngerLevel),
    FUN = function(x) c(mean = mean(x), sd = sd(x),
                        n = length(x)))

Data_neg <- do.call(data.frame, Data_neg)

Data_neg$se <- Data_neg$x.sd / sqrt(Data_neg$x.n)

colnames(Data_neg) <- c("ctxt", "mean", "sd", "n", "se")

#Data_neg$names <- c(paste(Data_neg$ctxt, "ctxt /"))

par(mar = c(5, 6, 4, 5) + 0.1)

#plotTop <- max(Data_neg$mean) +
           Data_neg[Data_neg$mean == max(Data_neg$mean), 5] * 3

barCenters <- barplot(height = Data_neg$mean,
                  #names.arg = Data_neg$names,
                  beside = true, las = 2,
                  ylim = c(0, plotTop),
                  cex.names = 3, xaxt = "n",
                  #main = "Mileage by No. Cylinders and No. Gears",
                  xlab = "anger level",
                  ylab = "negativity",
                  border = "black", 
                  #col = grays, 
                  axes = TRUE, 
                  cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5,
                  )

# Specify the groupings. We use srt = 45 for a
# 45 degree string rotation
text(x = barCenters, y = par("usr")[3] - 1, srt = 45,
     adj = 1, labels = Data_neg$names, xpd = TRUE)

segments(barCenters, Data_neg$mean - Data_neg$se * 2, barCenters,
         Data_neg$mean + Data_neg$se * 2, lwd = 1.5)

arrows(barCenters, Data_neg$mean - Data_neg$se * 2, barCenters,
       Data_neg$mean + Data_neg$se * 2, lwd = 1.5, angle = 90,
       code = 3, length = 0.05)
       
# Save the file
dev.off()
