# set wd
setwd("/Users/liuni/IRCAM_SYNC/CREAM/_EXP/angry_pilot/final-fir-experiment-correct/exp_fir_data/all_results/")

experiment = "results_Mars2018.csv"
data = read.csv(experiment)
#summary(data)
#str(data)

Subject<-data$NumSub
Context<-data$Context
AngerLevel<-data$AngerLevel
SliArou<-data$SliArou
SliVal<-data$SliVal


fSubject<-as.factor(data$NumSub)
#print(fSubject)
fContext<-as.factor(data$Context)
fAngerLevel<-as.factor(data$AngerLevel)
SliVal<-as.numeric(data$SliVal)
SliArou<-as.numeric(data$SliArou)

# ANALYSE 
data=data.frame( fSubject, fContext, fAngerLevel, SliArou, SliVal)

sliders = data.frame(fContext, fAngerLevel, SliArou, SliVal)
alone <- subset(sliders, fContext == 0)
#is.data.frame(alone)
clean <- subset(sliders, fContext == 1)
dist <- subset(sliders, fContext == 2)
noise <- subset(sliders, fContext == 3)

Arousal <- cbind(alone[c(3)], clean[c(3)], dist[c(3)], noise[c(3)])
Valence <- cbind(alone[c(4)], clean[c(4)], dist[c(4)], noise[c(4)])

alone_a1 <- subset(sliders, fContext == 0 & fAngerLevel == 1)
clean_a1 <- subset(sliders, fContext == 1 & fAngerLevel == 1)
dist_a1 <- subset(sliders, fContext == 2 & fAngerLevel == 1)
noise_a1 <- subset(sliders, fContext == 3 & fAngerLevel == 1)
Arousal_a1 <- cbind(alone_a1[c(3)], clean_a1[c(3)], dist_a1[c(3)], noise_a1[c(3)])
Valence_a1 <- cbind(alone_a1[c(4)], clean_a1[c(4)], dist_a1[c(4)], noise_a1[c(4)])

alone_a2 <- subset(sliders, fContext == 0 & fAngerLevel == 2)
clean_a2 <- subset(sliders, fContext == 1 & fAngerLevel == 2)
dist_a2 <- subset(sliders, fContext == 2 & fAngerLevel == 2)
noise_a2 <- subset(sliders, fContext == 3 & fAngerLevel == 2)
Arousal_a2 <- cbind(alone_a2[c(3)], clean_a2[c(3)], dist_a2[c(3)], noise_a2[c(3)])
Valence_a2 <- cbind(alone_a2[c(4)], clean_a2[c(4)], dist_a2[c(4)], noise_a2[c(4)])

alone_a3 <- subset(sliders, fContext == 0 & fAngerLevel == 3)
clean_a3 <- subset(sliders, fContext == 1 & fAngerLevel == 3)
dist_a3 <- subset(sliders, fContext == 2 & fAngerLevel == 3)
noise_a3 <- subset(sliders, fContext == 3 & fAngerLevel == 3)
Arousal_a3 <- cbind(alone_a3[c(3)], clean_a3[c(3)], dist_a3[c(3)], noise_a3[c(3)])
Valence_a3 <- cbind(alone_a3[c(4)], clean_a3[c(4)], dist_a3[c(4)], noise_a3[c(4)])

Arou <- colMeans(Arousal)
Arou_a1 <- colMeans(Arousal_a1)
Arou_a2 <- colMeans(Arousal_a2)
Arou_a3 <- colMeans(Arousal_a3)

Neg <- 100 - colMeans(Valence)
Neg_a1 <- 100 - colMeans(Valence_a1)
Neg_a2 <- 100 - colMeans(Valence_a2)
Neg_a3 <- 100 - colMeans(Valence_a3)

# Means among all anger levels
Context <- c("voice","voice + clean guitar","voice + dist. guitar","voice + noise")
postscript(file = "~/IRCAM_SYNC/TEX/PUBS/Biology/figures/means_arou_anger-all.ps")
barplot(Arou,names.arg=Context,xlab="Context",ylab="Arousal",col="gray",main="All anger",border="black", ylim=c(0,60), beside=TRUE)
# Save the file
dev.off()

postscript(file = "~/IRCAM_SYNC/TEX/PUBS/Biology/figures/means_neg_anger-all.ps")
barplot(Neg,names.arg=Context,xlab="Context",ylab="Negativity",col="gray",main="All anger",border="black", ylim=c(0,60), beside=TRUE)
# Save the file
dev.off()


# Means per anger level

grays <- gray.colors(4, start = 0.3, end = 0.9, gamma = 2.2, alpha = NULL)

Arou_ang <- cbind(Arou_a1, Arou_a2, Arou_a3)
colnames(Arou_ang) <- c("Anger 1", "Anger 2", "Anger 3")
postscript(file = "~/IRCAM_SYNC/TEX/PUBS/Biology/figures/means_arou_angerlevels.ps")
barplot(as.matrix(Arou_ang), ylim=c(0,80), beside=TRUE,ylab="Arousal", col = grays)
legend("topleft", title = "Context", Context, cex=1.3, bty="n", fill=grays)
# Save the file
dev.off()


Neg_ang <- cbind(Neg_a1, Neg_a2, Neg_a3)
colnames(Neg_ang) <- c("Anger 1", "Anger 2", "Anger 3")
postscript(file = "~/IRCAM_SYNC/TEX/PUBS/Biology/figures/means_neg_angerlevels.ps")
barplot(as.matrix(Neg_ang), ylim=c(0,80), beside=TRUE,ylab="Negativity", col = grays)
legend("topleft", title = "Context", Context, cex=1.3, bty="n", fill=grays)

# Save the file
dev.off()


