function [coefToApplyOnAmp, loudness_output] = loudness_normalize_LTLmax (stim_input_filename, loudness_target)
% Normalize in loudness according to G&M model (2002) using the LTL max
% output provided by the PSYSOUND3 toolbox
% E. Ponsot // 2016

[y_input,fs_input]=wavread(stim_input_filename);

factor = 1.0;
factorHigh = 10^(+60/20);
factorLow = 10^(-60/20);
i = 1;

while i
        wavwrite(y_input*factor,fs_input,'temp.wav');  
        fh = readData('temp.wav'); 
        fh.calCoeff = 1;
        % Calculate the loudness value
        MGBobj=LoudnessMGB(fh);
        MGBobj = process(MGBobj,fh,[]);
        % save('results.mat','MGBobj');
        % load ('results.mat')
        % il_v=MGBobj.output{1}.tsObj;
        % stl_v=MGBobj.output{2}.tsObj;
        ltl_v=MGBobj.output{3}.tsObj; 
        loudness_i=max(ltl_v);
  
  k = (loudness_i/loudness_target);
  
  disp(sprintf('%3d:   Factor %7.5f   Sones %7.3f   (%6.3f Rapport)', i, factor, loudness_i, k));
  i = i + 1;
  
  if abs(k-1) < 0.01
    loudness_output=loudness_i;
    coefToApplyOnAmp=factor;
    return;
  end
  
  if k > 1.0
    factorOld = factor;
    factor = (factorLow + factor) / 2.0;
    factorHigh = factorOld;
  elseif k < 1.0
    factorOld = factor;
    factor = (factorHigh + factor) / 2.0;
    factorLow = factorOld;
  end
end