function [sigP, timevect] = fct_ramp_calib(startlevel,endlevel,duration,duration_onoff,fs,spectrum, ref80dB)


%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% E. Ponsot, April 2014                                                  
% 
% % [sigP, timevect] = fct_ramp(startlevel,endlevel,duration,duration_onoff,fs,spectrum)
% creates a sound wave (linear ramp in dB); its arguments are :
%       - startlevel (in dBSPL)
%       - endlevel (in dBSPL)
%       - duration (in s) : time of the sound
%       - duration_onoff (in s) : onset and offset times to gradually change
%       the level from 0 pa to the required level -> to avoid 'clicks'
%       - fs (Hz) : sampling rate 
%       - spectrum : 'wn' = white noise / 'f0' = complex triangle wave with
%       fundamental freq f0 / f0 = pure tone at f0

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%


% create main profile 

[ramp, timevect] = fct_create_ramp_profile_dB(startlevel,endlevel,duration,fs);

% Convert in SPL
[newsig] = fct_dB_to_pressure(ramp,spectrum,fs,ref80dB);

% Onset and Offset with a linear ramp on amplitude

[newsig] = fct_onset_ramp_on_amp(newsig,duration_onoff,fs);
[newsig] = fct_offset_ramp_on_amp(newsig,duration_onoff,fs);
sigP=newsig;



