
%% MATRIX FOR THE WHOLE FIR EXPERIMENT

numtrial_total_n=380;
numtrial_training_n=20;
numtrial_main_n=numtrial_total_n-numtrial_training_n;

for nb_subjects_n=1:50

% Columns: NumTrial(1-numtrial_total_n) - NumSubject (1-30) - Speaker (1,2) - Context (1-3; 0 if no) - Anger Level (1-3) - Pitch (1-3) 
MatrixDesignExperiment_m=zeros(numtrial_total_n,6);
MatrixDesignExperiment_m(:,1)=linspace(1,numtrial_total_n,numtrial_total_n)';
MatrixDesignExperiment_m(:,2)=nb_subjects_n*ones(numtrial_total_n,1)';

% First part for training (numtrial_training_n trials)

for ii=1:numtrial_training_n

    MatrixDesignExperiment_m(ii,3)=randperm(2,1); % random speaker
    MatrixDesignExperiment_m(ii,4)=0; % no context
    MatrixDesignExperiment_m(ii,5)=randperm(3,1); %  random anger level
    MatrixDesignExperiment_m(ii,6)=randperm(3,1); %  random pitch

end

% remaining 360 trials : 2Gender*4Context*3AngerLevel*3Notes x 5 repetitions

    MatrixDesignExperiment_m(1+numtrial_training_n:numtrial_total_n,3)=[ones(numtrial_main_n/2,1);2*ones(numtrial_main_n/2,1)]; %  gender
    MatrixDesignExperiment_m(1+numtrial_training_n:numtrial_total_n,4)=[0*ones(numtrial_main_n/8,1);1*ones(numtrial_main_n/8,1); 2*ones(numtrial_main_n/8,1); 3*ones(numtrial_main_n/8,1); 0*ones(numtrial_main_n/8,1);1*ones(numtrial_main_n/8,1); 2*ones(numtrial_main_n/8,1); 3*ones(numtrial_main_n/8,1)]; %  context
        
    A=repmat([1:3],15,1);
    A=reshape(A,[45,1]);
    A=repmat(A,8,1);
    
    
    MatrixDesignExperiment_m(1+numtrial_training_n:numtrial_total_n,5)=A; %  3 anger level
    
    B=repmat([1:3],5,1);
    B=reshape( B,[15,1]);
    B=repmat( B,24,1);
    
    MatrixDesignExperiment_m(1+numtrial_training_n:numtrial_total_n,6)=B; % 3 notes
    

MatrixDesignExperiment_m(1+numtrial_training_n:numtrial_total_n,3:end)=MatrixDesignExperiment_m(randperm(numtrial_main_n)+numtrial_training_n,3:end);
DesignMatrix_m=MatrixDesignExperiment_m;
save(['./Stimuli/DesignMatrix_Fir_Sub'  num2str(nb_subjects_n) '.mat' ], 'DesignMatrix_m');

end


